#
# spec file for package python3-pyquery
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyquery
Version:        1.2.9
Release:        4.2
Summary:        A jQuery-like library for python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pyquery
Source:         http://pypi.python.org/packages/source/p/pyquery/pyquery-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-lxml
BuildRequires:  unzip
Requires:       python3-lxml
BuildArch:      noarch

%description
Pyquery allows you to make jQuery queries on XML documents. The API is
as much as possible the similar to jQuery. Pyquery uses lxml for fast
XML and HTML manipulation.

%prep
%setup -q -n pyquery-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Tue Dec  2 2014 p.drouand@gmail.com
- Use setuptools instead of distribute
- Do not build/require python3; python-devel is sufficient
- Remove python3-2to3 requirement; was needed for openSUSE 12.2
- Use upstream tarball from pypi
- Add unzip depency
* Sun Nov 30 2014 arun@gmx.de
- update to version 1.2.9:
  * Support for keyword arguments in PyQuery custom functions
  * Fixed #78: items must take care or the parent
  * Fixed #65 PyQuery.make_links_absolute() no longer creates 'href' attribute when it isn't there
  * Fixed #19. is_() was broken.
  * Fixed #9. .replaceWith(PyQuery element) raises error
  * Remove official python3.2 support (mostly because of 3rd party semi-deps)
- changes from version 1.2.8:
  * Fixed #22: Open by filename fails when file contains invalid xml
  * Bug fix in .remove_class()
- changes from version 1.2.7:
  * Use pep8 name for methods but keep an alias for camel case method. Eg: remove_attr and removeAttr works Fix #57
  * .text() now return an empty string instead of None if there is no text node. Fix #45
  * Fixed #23: removeClass adds class attribute to elements which previously lacked one
- changes from version 1.2.6:
  * README_fixt.py was not include in the release. Fix #54.
- changes from version 1.2.5:
  * cssselect compat. See https://github.com/SimonSapin/cssselect/pull/22
  * tests improvments. no longer require a eth connection.
  * fix #55
* Tue Apr 30 2013 dmueller@suse.com
- add buildroot
* Wed Apr  3 2013 arun@gmx.de
- fixed build error: "ImportError: cannot import name sha512"
  seems to be a missing dependency to python3 during build
* Tue Mar 26 2013 arun@gmx.de
- added spec file and changelog for python3
* Tue Mar 26 2013 arun@gmx.de
- updated copyright year in spec file
* Tue Mar 26 2013 arun@gmx.de
- updated to 1.2.4
  changes as listed on https://pypi.python.org/pypi/pyquery:
  1.2.4
    Moved to github. So a few files are renamed from .txt to .rst
    Added .xhtml_to_html() and .remove_namespaces()
    Use requests to fetch urls (if available)
    Use restkit's proxy instead of Paste (which will die with py3)
    Allow to open https urls
    python2.5 is no longer supported (may work, but tests are broken)
  1.2.3
    Allow to pass this in .filter() callback
    Add .contents() .items()
    Add tox.ini
    Bug fixes: fix #35 #55 #64 #66
  1.2.2
    Fix cssselectpatch to match the newer implementation of cssselect. Fixes issue #62, #52 and #59 (Haoyu Bai)
    Fix issue #37 (Caleb Burns)
  1.2.1
    Allow to use a custom css translator.
    Fix issue 44: case problem with xml documents
  1.2
    PyQuery now use cssselect. See issue 43.
    Fix issue 40: forward .html() extra arguments to lxml.etree.tostring
* Tue Jan 31 2012 saschpe@suse.de
- Simplified macro usage
- Buildrequire python-distribute instead of (outdated) setuptools
- Set license to SDPX style (BSD-3-Clause)
* Sun Oct  9 2011 prusnak@opensuse.org
- updated to version 1.0
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- initial version (0.7)
